Package Details: iup 3.20-1

Git Clone URL: https://aur.archlinux.org/iup.git (read-only)
Package Base: iup
Description: C cross platform GUI toolkit
Upstream URL: http://www.tecgraf.puc-rio.br/iup/
Licenses: MIT
Submitter: None
Maintainer: daurnimator
Last Packager: daurnimator
Votes: 2
Popularity: 0.000000
First Submitted: 2009-09-13 15:00
Last Updated: 2016-11-07 05:22

Latest Comments

lgg2 commented on 2016-04-12 16:39

Can be used downloading the files from their SourceForge place and then install first the "runtimes" (/.install) and later "development" (/.install_dev) both with root permissions.

In my case works OK.

SneakySnake commented on 2015-11-23 07:43

Okay, I'm disowning this, because it's not very maintainable, and I have lost interest in it.

miotatsu commented on 2015-07-10 00:36

This package fails to build due to compilation errors.
../tecmake.mak:1583: recipe for target '../obj/Linux319_64/iupgtk_dialog.o' failed
make[2]: *** [../obj/Linux319_64/iupgtk_dialog.o] Error 1
Makefile:11: recipe for target 'iup' failed
make[1]: *** [iup] Error 2
Makefile:9: recipe for target 'iup' failed
make: *** [iup] Error 2
==> ERROR: A failure occurred in build().
Aborting...

TrialnError commented on 2014-09-11 09:20

Updated PKGBuild in case of Guidelines. Could not test if it builds.

oslik commented on 2011-02-21 17:40

Set of fixes:

1) Disable deprecated check (will not compile otherwise)
config.patch: http://aur.pastebin.com/b0SMX7Y3

2) Set gdk-pixbuf-2.0 path (also breaks compilation)
makfiles.patch: http://aur.pastebin.com/eDZWLbLk

3) Symlink lua binary modules to standard lua 5.1 path
PKGBUILD: http://aur.pastebin.com/pBYW0ysf

... and don't forget to fix md5 for patches from pastebin :-)

oslik commented on 2011-02-21 17:36

Set of fixes:

1) Disable deprecated check (will not compile otherwise)
config.patch: http://aur.pastebin.com/ppyersTG

2) Set gdk-pixbuf-2.0 path (also breaks compilation)
makfiles.patch: http://aur.pastebin.com/eDZWLbLk

3) Symlink lua binary modules to standard lua 5.1 path
PKGBUILD: http://aur.pastebin.com/pBYW0ysf

... and don't forget to fix md5 for patches from pastebin :-)

Anonymous comment on 2010-07-22 08:25

I adopted the package, upgraded version tried it with the C examples, and it appears to work well.
The libcd and libim packages are needed as well.
lua bindings are there but untried.

Anonymous comment on 2010-07-19 20:47

see my comment in im, thanks.

hollunder commented on 2010-07-19 18:25

Hi.
I thought there are a few things wrong with this package, but the closer I look the more I realise that it's pretty much totally broken. Please fix it up or probably easier, rewrite.